package org.jboss.cache.transaction;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Basically a DummyTransactionManager to do batch mode processing.
 * @author bela
 * @version $Revision: 1.2 $
 *          Date: May 15, 2003
 *          Time: 4:11:37 PM
 */
public class BatchModeTransactionManager extends DummyBaseTransactionManager {
   static BatchModeTransactionManager instance=null;
   static Log log=LogFactory.getLog(BatchModeTransactionManager.class);

   public BatchModeTransactionManager() {
      ;
   }

   public static BatchModeTransactionManager getInstance() {
      if(instance == null) {
         instance=new BatchModeTransactionManager();
      }
      return instance;
   }

   public static void destroy() {
      if(instance == null) return;
      instance.setTransaction(null);
      instance=null;
   }

}
